PipeWire 0.1.9

Data Fields
pw_registry_proxy_events Struct Reference

Registry events. More...

## Data Fields
uint32_t | version
void(* | global )(void *object, uint32_t id, uint32_t parent_id, uint32_t permissions, uint32_t type, uint32_t version, const struct spa_dict *props)
| Notify of a new global object. More...
void(* | global_remove )(void *object, uint32_t id)
| Notify of a global object removal. More...

## Detailed Description

Registry events.

## Field Documentation

## ◆ global

void(* pw_registry_proxy_events::global) (void *object, uint32_t id, uint32_t parent_id, uint32_t permissions, uint32_t type, uint32_t version, const struct spa_dict *props)

Notify of a new global object.

The registry emits this event when a new global object is available.

Parameters

  id | the global object id
  parent_id | the parent global id
  permissions | the permissions of the object
  type | the type of the interface
  version | the version of the interface
  props | extra properties of the global

## ◆ global_remove

void(* pw_registry_proxy_events::global_remove) (void *object, uint32_t id)

Notify of a global object removal.

Emited when a global object was removed from the registry. If the client has any bindings to the global, it should destroy those.

Parameters

  id | the id of the global that was removed

## ◆ version

uint32_t pw_registry_proxy_events::version

The documentation for this struct was generated from the following file:

- interfaces.h